Skip to main content
GET
/
api
/
v0
/
repositories
/
{repo_id}
/
comments
/
files
/
{path}
List the comments for a specific file or a single comment
curl --request GET \
  --url https://api.example.com/api/v0/repositories/{repo_id}/comments/files/{path}
import requests

url = "https://api.example.com/api/v0/repositories/{repo_id}/comments/files/{path}"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v0/repositories/{repo_id}/comments/files/{path}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "lines": {
      "start": 123,
      "end": 123
    },
    "content": "<string>",
    "reactions": [
      {
        "reaction": "<string>",
        "users": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "name": "<string>"
          }
        ]
      }
    ],
    "createdBy": {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "avatar": "<string>",
      "isBot": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pingsLeft": 123,
      "reputation": 123,
      "disabledAt": "2023-11-07T05:31:56Z",
      "deletedFromRepoAt": "2023-11-07T05:31:56Z"
    },
    "lastUpdatedBy": {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "avatar": "<string>",
      "isBot": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pingsLeft": 123,
      "reputation": 123,
      "disabledAt": "2023-11-07T05:31:56Z",
      "deletedFromRepoAt": "2023-11-07T05:31:56Z"
    },
    "lastUpdatedAt": "2023-11-07T05:31:56Z",
    "createdAt": "2023-11-07T05:31:56Z",
    "parent": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "visibleTo": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "resolvedAt": "2023-11-07T05:31:56Z",
    "resolvedBy": {
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "username": "<string>",
      "avatar": "<string>",
      "isBot": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "pingsLeft": 123,
      "reputation": 123,
      "disabledAt": "2023-11-07T05:31:56Z",
      "deletedFromRepoAt": "2023-11-07T05:31:56Z"
    }
  }
]
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}
{
"msg": "<string>"
}

Path Parameters

repo_id
string<uuid>
required
path
required

Reference to a resource, either by id or handle (username).

Response

Comments

id
string<uuid>
required
lines
object
required

The line(s) refered to in the comment.

content
string
required

Content of the comment, usually in Markdown.

reactions
object[]
required

Reactions to the comment.

createdBy
object
required

User that made the comment.

lastUpdatedBy
object
required

User that last updated the comment.

lastUpdatedAt
string<date-time>
required

Time at which the last update was made. Note: Check against created_at to see if comment has been updated,

createdAt
string<date-time>
required

Time at which the comment was made.

parent
string<uuid> | null

Comment is in a reply to a thread.

visibleTo
string<uuid> | null

ID of the team whose users can see the comment, or NULL if the comment is visible to all users.

resolvedAt
string<date-time> | null

Time at which the comment was resolved, or none if the comment thread is not resolved. Only set on the parent comment.

resolvedBy
null | object

User that resolved the comment thread, if any. Deduced from the most recent resolved_at change recorded in file_comment_log.